version: '3.0'

services:

  client:
    build:
      context: .
      args:
        WARDEN_SERVER_URL: ${WARDEN_SERVER_URL}
        WARDEN_CLIENT_NAME: ${WARDEN_CLIENT_NAME}
        WARDEN_CLIENT_SECRET: ${WARDEN_CLIENT_SECRET}
    image: warden_client:3.0-beta2
    environment:
      IN_DOCKER: 1
    volumes:
      - ./keys:/warden_client_keys
    # command: 
    #   tail -f /dev/null

networks:
  default:
    driver_opts:
      "com.docker.network.driver.mtu": "1450"
